Skip to content

Export ordinary income for Schedule 1 (Form 1040)

GET
/api/calculate/tax-summary/{address}/export/schedule-1
curl --request GET \
--url 'https://api.qeychain.xyz/api/calculate/tax-summary/example/export/schedule-1?tax_year=1&taxpayer_timezone=America%2FNew_York'

Export staking rewards, airdrops, mining income, and DeFi interest as a CSV report for IRS Form 1040 Schedule 1, Line 8z.

IMPORTANT: This is DIFFERENT from capital gains (Form 8949)!
- Ordinary income is taxed at your marginal income tax rate
- The FMV at receipt becomes your cost basis for future sales

Income types included:
- Staking rewards (ETH staking, Cosmos staking, etc.)
- Airdrops (token distributions)
- Mining rewards (PoW mining)
- DeFi interest/yield (Aave, Compound, etc.)
address
required
Address
string
tax_year
required
Tax Year

Tax year (e.g., 2024)

integer

Tax year (e.g., 2024)

taxpayer_timezone
Taxpayer Timezone

Taxpayer’s timezone for tax year boundaries

string
default: America/New_York

Taxpayer’s timezone for tax year boundaries

owned_wallets
Any of:
Array<string>

All wallet addresses owned by the user

CSV file download

Examplegenerated
example

Bad Request

Media typeapplication/json
ErrorResponse

Standard error response.

object
detail
required
Detail

Error message

string
error_code
Any of:
string
Examplegenerated
{
"detail": "example",
"error_code": "example"
}

Not Found

Media typeapplication/json
ErrorResponse

Standard error response.

object
detail
required
Detail

Error message

string
error_code
Any of:
string
Examplegenerated
{
"detail": "example",
"error_code": "example"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}

Internal Server Error

Media typeapplication/json
ErrorResponse

Standard error response.

object
detail
required
Detail

Error message

string
error_code
Any of:
string
Examplegenerated
{
"detail": "example",
"error_code": "example"
}